/* vi:set wm=0 ai tabstop=4 shiftwidth=4: */
/*
 * sctl - Bearcat scanner control program
 * Copyright (C) 2001 Ian Johnston <reaper@muppetlabs.com>
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */

/* this file contains header information specific to serial.c */

#ifndef _SERIAL_H_
#define _SERIAL_H_

int open_port(char * port);
int read_serial(int fd, char * string);
int write_serial(int fd, char * string);
int setup_port(int fd);
int get_line(int fd, char * line);
int do_command(int fd, char * command, char * answer);

#endif /* _SERIAL_H_ */
